Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface ImageAdapter

All Known Implementing Classes:
  PSRenderer

public interface ImageAdapter

This interface represents an optional feature that can be provided by a renderer. It is exposed by calling the getImageAdapter() method on the renderer. Renderers that support this feature allow painting of images (RendererImage instances).

Method Summary
`void` | `paintImage(java.awt.image.RenderedImage image, RendererContext context, int x, int y, int width, int height)` Paints an image at the given position.

Method Detail

### paintImage

    public void paintImage(java.awt.image.RenderedImage image,
                           RendererContext context,
                           int x,
                           int y,
                           int width,
                           int height)
                    throws java.io.IOException

  Paints an image at the given position.

  Parameters:
    `image` - the image which will be painted
    `context` - the renderer context for the current renderer
    `x` - X position of the image (in millipoints)
    `y` - Y position of the image (in millipoints)
    `width` - width of the image (in millipoints)
    `height` - height of the image (in millipoints)
  Throws:
    `java.io.IOException` - In case of an I/O error while writing the output format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.